Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network232.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
232.0.0.0
Broadcast address
233.255.255.255
First usable
232.0.0.1
Last usable
233.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E8000000 · Integer 3892314112 to 3925868543
Reverse DNS zones
232.in-addr.arpa
233.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101000.00000000.00000000.00000000232.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11101000.00000000.00000000.00000000232.0.0.0
Broadcast11101001.11111111.11111111.11111111233.255.255.255
Split into smaller subnets/15

232.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1232.0.0.0/15232.0.0.1 to 232.1.255.254232.1.255.255131,070
2232.2.0.0/15232.2.0.1 to 232.3.255.254232.3.255.255131,070
3232.4.0.0/15232.4.0.1 to 232.5.255.254232.5.255.255131,070
4232.6.0.0/15232.6.0.1 to 232.7.255.254232.7.255.255131,070
5232.8.0.0/15232.8.0.1 to 232.9.255.254232.9.255.255131,070
6232.10.0.0/15232.10.0.1 to 232.11.255.254232.11.255.255131,070
7232.12.0.0/15232.12.0.1 to 232.13.255.254232.13.255.255131,070
8232.14.0.0/15232.14.0.1 to 232.15.255.254232.15.255.255131,070
9232.16.0.0/15232.16.0.1 to 232.17.255.254232.17.255.255131,070
10232.18.0.0/15232.18.0.1 to 232.19.255.254232.19.255.255131,070
11232.20.0.0/15232.20.0.1 to 232.21.255.254232.21.255.255131,070
12232.22.0.0/15232.22.0.1 to 232.23.255.254232.23.255.255131,070
13232.24.0.0/15232.24.0.1 to 232.25.255.254232.25.255.255131,070
14232.26.0.0/15232.26.0.1 to 232.27.255.254232.27.255.255131,070
15232.28.0.0/15232.28.0.1 to 232.29.255.254232.29.255.255131,070
16232.30.0.0/15232.30.0.1 to 232.31.255.254232.31.255.255131,070
17232.32.0.0/15232.32.0.1 to 232.33.255.254232.33.255.255131,070
18232.34.0.0/15232.34.0.1 to 232.35.255.254232.35.255.255131,070
19232.36.0.0/15232.36.0.1 to 232.37.255.254232.37.255.255131,070
20232.38.0.0/15232.38.0.1 to 232.39.255.254232.39.255.255131,070
21232.40.0.0/15232.40.0.1 to 232.41.255.254232.41.255.255131,070
22232.42.0.0/15232.42.0.1 to 232.43.255.254232.43.255.255131,070
23232.44.0.0/15232.44.0.1 to 232.45.255.254232.45.255.255131,070
24232.46.0.0/15232.46.0.1 to 232.47.255.254232.47.255.255131,070
25232.48.0.0/15232.48.0.1 to 232.49.255.254232.49.255.255131,070
26232.50.0.0/15232.50.0.1 to 232.51.255.254232.51.255.255131,070
27232.52.0.0/15232.52.0.1 to 232.53.255.254232.53.255.255131,070
28232.54.0.0/15232.54.0.1 to 232.55.255.254232.55.255.255131,070
29232.56.0.0/15232.56.0.1 to 232.57.255.254232.57.255.255131,070
30232.58.0.0/15232.58.0.1 to 232.59.255.254232.59.255.255131,070
31232.60.0.0/15232.60.0.1 to 232.61.255.254232.61.255.255131,070
32232.62.0.0/15232.62.0.1 to 232.63.255.254232.63.255.255131,070
33232.64.0.0/15232.64.0.1 to 232.65.255.254232.65.255.255131,070
34232.66.0.0/15232.66.0.1 to 232.67.255.254232.67.255.255131,070
35232.68.0.0/15232.68.0.1 to 232.69.255.254232.69.255.255131,070
36232.70.0.0/15232.70.0.1 to 232.71.255.254232.71.255.255131,070
37232.72.0.0/15232.72.0.1 to 232.73.255.254232.73.255.255131,070
38232.74.0.0/15232.74.0.1 to 232.75.255.254232.75.255.255131,070
39232.76.0.0/15232.76.0.1 to 232.77.255.254232.77.255.255131,070
40232.78.0.0/15232.78.0.1 to 232.79.255.254232.79.255.255131,070
41232.80.0.0/15232.80.0.1 to 232.81.255.254232.81.255.255131,070
42232.82.0.0/15232.82.0.1 to 232.83.255.254232.83.255.255131,070
43232.84.0.0/15232.84.0.1 to 232.85.255.254232.85.255.255131,070
44232.86.0.0/15232.86.0.1 to 232.87.255.254232.87.255.255131,070
45232.88.0.0/15232.88.0.1 to 232.89.255.254232.89.255.255131,070
46232.90.0.0/15232.90.0.1 to 232.91.255.254232.91.255.255131,070
47232.92.0.0/15232.92.0.1 to 232.93.255.254232.93.255.255131,070
48232.94.0.0/15232.94.0.1 to 232.95.255.254232.95.255.255131,070
49232.96.0.0/15232.96.0.1 to 232.97.255.254232.97.255.255131,070
50232.98.0.0/15232.98.0.1 to 232.99.255.254232.99.255.255131,070
51232.100.0.0/15232.100.0.1 to 232.101.255.254232.101.255.255131,070
52232.102.0.0/15232.102.0.1 to 232.103.255.254232.103.255.255131,070
53232.104.0.0/15232.104.0.1 to 232.105.255.254232.105.255.255131,070
54232.106.0.0/15232.106.0.1 to 232.107.255.254232.107.255.255131,070
55232.108.0.0/15232.108.0.1 to 232.109.255.254232.109.255.255131,070
56232.110.0.0/15232.110.0.1 to 232.111.255.254232.111.255.255131,070
57232.112.0.0/15232.112.0.1 to 232.113.255.254232.113.255.255131,070
58232.114.0.0/15232.114.0.1 to 232.115.255.254232.115.255.255131,070
59232.116.0.0/15232.116.0.1 to 232.117.255.254232.117.255.255131,070
60232.118.0.0/15232.118.0.1 to 232.119.255.254232.119.255.255131,070
61232.120.0.0/15232.120.0.1 to 232.121.255.254232.121.255.255131,070
62232.122.0.0/15232.122.0.1 to 232.123.255.254232.123.255.255131,070
63232.124.0.0/15232.124.0.1 to 232.125.255.254232.125.255.255131,070
64232.126.0.0/15232.126.0.1 to 232.127.255.254232.127.255.255131,070
65232.128.0.0/15232.128.0.1 to 232.129.255.254232.129.255.255131,070
66232.130.0.0/15232.130.0.1 to 232.131.255.254232.131.255.255131,070
67232.132.0.0/15232.132.0.1 to 232.133.255.254232.133.255.255131,070
68232.134.0.0/15232.134.0.1 to 232.135.255.254232.135.255.255131,070
69232.136.0.0/15232.136.0.1 to 232.137.255.254232.137.255.255131,070
70232.138.0.0/15232.138.0.1 to 232.139.255.254232.139.255.255131,070
71232.140.0.0/15232.140.0.1 to 232.141.255.254232.141.255.255131,070
72232.142.0.0/15232.142.0.1 to 232.143.255.254232.143.255.255131,070
73232.144.0.0/15232.144.0.1 to 232.145.255.254232.145.255.255131,070
74232.146.0.0/15232.146.0.1 to 232.147.255.254232.147.255.255131,070
75232.148.0.0/15232.148.0.1 to 232.149.255.254232.149.255.255131,070
76232.150.0.0/15232.150.0.1 to 232.151.255.254232.151.255.255131,070
77232.152.0.0/15232.152.0.1 to 232.153.255.254232.153.255.255131,070
78232.154.0.0/15232.154.0.1 to 232.155.255.254232.155.255.255131,070
79232.156.0.0/15232.156.0.1 to 232.157.255.254232.157.255.255131,070
80232.158.0.0/15232.158.0.1 to 232.159.255.254232.159.255.255131,070
81232.160.0.0/15232.160.0.1 to 232.161.255.254232.161.255.255131,070
82232.162.0.0/15232.162.0.1 to 232.163.255.254232.163.255.255131,070
83232.164.0.0/15232.164.0.1 to 232.165.255.254232.165.255.255131,070
84232.166.0.0/15232.166.0.1 to 232.167.255.254232.167.255.255131,070
85232.168.0.0/15232.168.0.1 to 232.169.255.254232.169.255.255131,070
86232.170.0.0/15232.170.0.1 to 232.171.255.254232.171.255.255131,070
87232.172.0.0/15232.172.0.1 to 232.173.255.254232.173.255.255131,070
88232.174.0.0/15232.174.0.1 to 232.175.255.254232.175.255.255131,070
89232.176.0.0/15232.176.0.1 to 232.177.255.254232.177.255.255131,070
90232.178.0.0/15232.178.0.1 to 232.179.255.254232.179.255.255131,070
91232.180.0.0/15232.180.0.1 to 232.181.255.254232.181.255.255131,070
92232.182.0.0/15232.182.0.1 to 232.183.255.254232.183.255.255131,070
93232.184.0.0/15232.184.0.1 to 232.185.255.254232.185.255.255131,070
94232.186.0.0/15232.186.0.1 to 232.187.255.254232.187.255.255131,070
95232.188.0.0/15232.188.0.1 to 232.189.255.254232.189.255.255131,070
96232.190.0.0/15232.190.0.1 to 232.191.255.254232.191.255.255131,070
97232.192.0.0/15232.192.0.1 to 232.193.255.254232.193.255.255131,070
98232.194.0.0/15232.194.0.1 to 232.195.255.254232.195.255.255131,070
99232.196.0.0/15232.196.0.1 to 232.197.255.254232.197.255.255131,070
100232.198.0.0/15232.198.0.1 to 232.199.255.254232.199.255.255131,070
101232.200.0.0/15232.200.0.1 to 232.201.255.254232.201.255.255131,070
102232.202.0.0/15232.202.0.1 to 232.203.255.254232.203.255.255131,070
103232.204.0.0/15232.204.0.1 to 232.205.255.254232.205.255.255131,070
104232.206.0.0/15232.206.0.1 to 232.207.255.254232.207.255.255131,070
105232.208.0.0/15232.208.0.1 to 232.209.255.254232.209.255.255131,070
106232.210.0.0/15232.210.0.1 to 232.211.255.254232.211.255.255131,070
107232.212.0.0/15232.212.0.1 to 232.213.255.254232.213.255.255131,070
108232.214.0.0/15232.214.0.1 to 232.215.255.254232.215.255.255131,070
109232.216.0.0/15232.216.0.1 to 232.217.255.254232.217.255.255131,070
110232.218.0.0/15232.218.0.1 to 232.219.255.254232.219.255.255131,070
111232.220.0.0/15232.220.0.1 to 232.221.255.254232.221.255.255131,070
112232.222.0.0/15232.222.0.1 to 232.223.255.254232.223.255.255131,070
113232.224.0.0/15232.224.0.1 to 232.225.255.254232.225.255.255131,070
114232.226.0.0/15232.226.0.1 to 232.227.255.254232.227.255.255131,070
115232.228.0.0/15232.228.0.1 to 232.229.255.254232.229.255.255131,070
116232.230.0.0/15232.230.0.1 to 232.231.255.254232.231.255.255131,070
117232.232.0.0/15232.232.0.1 to 232.233.255.254232.233.255.255131,070
118232.234.0.0/15232.234.0.1 to 232.235.255.254232.235.255.255131,070
119232.236.0.0/15232.236.0.1 to 232.237.255.254232.237.255.255131,070
120232.238.0.0/15232.238.0.1 to 232.239.255.254232.239.255.255131,070
121232.240.0.0/15232.240.0.1 to 232.241.255.254232.241.255.255131,070
122232.242.0.0/15232.242.0.1 to 232.243.255.254232.243.255.255131,070
123232.244.0.0/15232.244.0.1 to 232.245.255.254232.245.255.255131,070
124232.246.0.0/15232.246.0.1 to 232.247.255.254232.247.255.255131,070
125232.248.0.0/15232.248.0.1 to 232.249.255.254232.249.255.255131,070
126232.250.0.0/15232.250.0.1 to 232.251.255.254232.251.255.255131,070
127232.252.0.0/15232.252.0.1 to 232.253.255.254232.253.255.255131,070
128232.254.0.0/15232.254.0.1 to 232.255.255.254232.255.255.255131,070
129233.0.0.0/15233.0.0.1 to 233.1.255.254233.1.255.255131,070
130233.2.0.0/15233.2.0.1 to 233.3.255.254233.3.255.255131,070
131233.4.0.0/15233.4.0.1 to 233.5.255.254233.5.255.255131,070
132233.6.0.0/15233.6.0.1 to 233.7.255.254233.7.255.255131,070
133233.8.0.0/15233.8.0.1 to 233.9.255.254233.9.255.255131,070
134233.10.0.0/15233.10.0.1 to 233.11.255.254233.11.255.255131,070
135233.12.0.0/15233.12.0.1 to 233.13.255.254233.13.255.255131,070
136233.14.0.0/15233.14.0.1 to 233.15.255.254233.15.255.255131,070
137233.16.0.0/15233.16.0.1 to 233.17.255.254233.17.255.255131,070
138233.18.0.0/15233.18.0.1 to 233.19.255.254233.19.255.255131,070
139233.20.0.0/15233.20.0.1 to 233.21.255.254233.21.255.255131,070
140233.22.0.0/15233.22.0.1 to 233.23.255.254233.23.255.255131,070
141233.24.0.0/15233.24.0.1 to 233.25.255.254233.25.255.255131,070
142233.26.0.0/15233.26.0.1 to 233.27.255.254233.27.255.255131,070
143233.28.0.0/15233.28.0.1 to 233.29.255.254233.29.255.255131,070
144233.30.0.0/15233.30.0.1 to 233.31.255.254233.31.255.255131,070
145233.32.0.0/15233.32.0.1 to 233.33.255.254233.33.255.255131,070
146233.34.0.0/15233.34.0.1 to 233.35.255.254233.35.255.255131,070
147233.36.0.0/15233.36.0.1 to 233.37.255.254233.37.255.255131,070
148233.38.0.0/15233.38.0.1 to 233.39.255.254233.39.255.255131,070
149233.40.0.0/15233.40.0.1 to 233.41.255.254233.41.255.255131,070
150233.42.0.0/15233.42.0.1 to 233.43.255.254233.43.255.255131,070
151233.44.0.0/15233.44.0.1 to 233.45.255.254233.45.255.255131,070
152233.46.0.0/15233.46.0.1 to 233.47.255.254233.47.255.255131,070
153233.48.0.0/15233.48.0.1 to 233.49.255.254233.49.255.255131,070
154233.50.0.0/15233.50.0.1 to 233.51.255.254233.51.255.255131,070
155233.52.0.0/15233.52.0.1 to 233.53.255.254233.53.255.255131,070
156233.54.0.0/15233.54.0.1 to 233.55.255.254233.55.255.255131,070
157233.56.0.0/15233.56.0.1 to 233.57.255.254233.57.255.255131,070
158233.58.0.0/15233.58.0.1 to 233.59.255.254233.59.255.255131,070
159233.60.0.0/15233.60.0.1 to 233.61.255.254233.61.255.255131,070
160233.62.0.0/15233.62.0.1 to 233.63.255.254233.63.255.255131,070
161233.64.0.0/15233.64.0.1 to 233.65.255.254233.65.255.255131,070
162233.66.0.0/15233.66.0.1 to 233.67.255.254233.67.255.255131,070
163233.68.0.0/15233.68.0.1 to 233.69.255.254233.69.255.255131,070
164233.70.0.0/15233.70.0.1 to 233.71.255.254233.71.255.255131,070
165233.72.0.0/15233.72.0.1 to 233.73.255.254233.73.255.255131,070
166233.74.0.0/15233.74.0.1 to 233.75.255.254233.75.255.255131,070
167233.76.0.0/15233.76.0.1 to 233.77.255.254233.77.255.255131,070
168233.78.0.0/15233.78.0.1 to 233.79.255.254233.79.255.255131,070
169233.80.0.0/15233.80.0.1 to 233.81.255.254233.81.255.255131,070
170233.82.0.0/15233.82.0.1 to 233.83.255.254233.83.255.255131,070
171233.84.0.0/15233.84.0.1 to 233.85.255.254233.85.255.255131,070
172233.86.0.0/15233.86.0.1 to 233.87.255.254233.87.255.255131,070
173233.88.0.0/15233.88.0.1 to 233.89.255.254233.89.255.255131,070
174233.90.0.0/15233.90.0.1 to 233.91.255.254233.91.255.255131,070
175233.92.0.0/15233.92.0.1 to 233.93.255.254233.93.255.255131,070
176233.94.0.0/15233.94.0.1 to 233.95.255.254233.95.255.255131,070
177233.96.0.0/15233.96.0.1 to 233.97.255.254233.97.255.255131,070
178233.98.0.0/15233.98.0.1 to 233.99.255.254233.99.255.255131,070
179233.100.0.0/15233.100.0.1 to 233.101.255.254233.101.255.255131,070
180233.102.0.0/15233.102.0.1 to 233.103.255.254233.103.255.255131,070
181233.104.0.0/15233.104.0.1 to 233.105.255.254233.105.255.255131,070
182233.106.0.0/15233.106.0.1 to 233.107.255.254233.107.255.255131,070
183233.108.0.0/15233.108.0.1 to 233.109.255.254233.109.255.255131,070
184233.110.0.0/15233.110.0.1 to 233.111.255.254233.111.255.255131,070
185233.112.0.0/15233.112.0.1 to 233.113.255.254233.113.255.255131,070
186233.114.0.0/15233.114.0.1 to 233.115.255.254233.115.255.255131,070
187233.116.0.0/15233.116.0.1 to 233.117.255.254233.117.255.255131,070
188233.118.0.0/15233.118.0.1 to 233.119.255.254233.119.255.255131,070
189233.120.0.0/15233.120.0.1 to 233.121.255.254233.121.255.255131,070
190233.122.0.0/15233.122.0.1 to 233.123.255.254233.123.255.255131,070
191233.124.0.0/15233.124.0.1 to 233.125.255.254233.125.255.255131,070
192233.126.0.0/15233.126.0.1 to 233.127.255.254233.127.255.255131,070
193233.128.0.0/15233.128.0.1 to 233.129.255.254233.129.255.255131,070
194233.130.0.0/15233.130.0.1 to 233.131.255.254233.131.255.255131,070
195233.132.0.0/15233.132.0.1 to 233.133.255.254233.133.255.255131,070
196233.134.0.0/15233.134.0.1 to 233.135.255.254233.135.255.255131,070
197233.136.0.0/15233.136.0.1 to 233.137.255.254233.137.255.255131,070
198233.138.0.0/15233.138.0.1 to 233.139.255.254233.139.255.255131,070
199233.140.0.0/15233.140.0.1 to 233.141.255.254233.141.255.255131,070
200233.142.0.0/15233.142.0.1 to 233.143.255.254233.143.255.255131,070
201233.144.0.0/15233.144.0.1 to 233.145.255.254233.145.255.255131,070
202233.146.0.0/15233.146.0.1 to 233.147.255.254233.147.255.255131,070
203233.148.0.0/15233.148.0.1 to 233.149.255.254233.149.255.255131,070
204233.150.0.0/15233.150.0.1 to 233.151.255.254233.151.255.255131,070
205233.152.0.0/15233.152.0.1 to 233.153.255.254233.153.255.255131,070
206233.154.0.0/15233.154.0.1 to 233.155.255.254233.155.255.255131,070
207233.156.0.0/15233.156.0.1 to 233.157.255.254233.157.255.255131,070
208233.158.0.0/15233.158.0.1 to 233.159.255.254233.159.255.255131,070
209233.160.0.0/15233.160.0.1 to 233.161.255.254233.161.255.255131,070
210233.162.0.0/15233.162.0.1 to 233.163.255.254233.163.255.255131,070
211233.164.0.0/15233.164.0.1 to 233.165.255.254233.165.255.255131,070
212233.166.0.0/15233.166.0.1 to 233.167.255.254233.167.255.255131,070
213233.168.0.0/15233.168.0.1 to 233.169.255.254233.169.255.255131,070
214233.170.0.0/15233.170.0.1 to 233.171.255.254233.171.255.255131,070
215233.172.0.0/15233.172.0.1 to 233.173.255.254233.173.255.255131,070
216233.174.0.0/15233.174.0.1 to 233.175.255.254233.175.255.255131,070
217233.176.0.0/15233.176.0.1 to 233.177.255.254233.177.255.255131,070
218233.178.0.0/15233.178.0.1 to 233.179.255.254233.179.255.255131,070
219233.180.0.0/15233.180.0.1 to 233.181.255.254233.181.255.255131,070
220233.182.0.0/15233.182.0.1 to 233.183.255.254233.183.255.255131,070
221233.184.0.0/15233.184.0.1 to 233.185.255.254233.185.255.255131,070
222233.186.0.0/15233.186.0.1 to 233.187.255.254233.187.255.255131,070
223233.188.0.0/15233.188.0.1 to 233.189.255.254233.189.255.255131,070
224233.190.0.0/15233.190.0.1 to 233.191.255.254233.191.255.255131,070
225233.192.0.0/15233.192.0.1 to 233.193.255.254233.193.255.255131,070
226233.194.0.0/15233.194.0.1 to 233.195.255.254233.195.255.255131,070
227233.196.0.0/15233.196.0.1 to 233.197.255.254233.197.255.255131,070
228233.198.0.0/15233.198.0.1 to 233.199.255.254233.199.255.255131,070
229233.200.0.0/15233.200.0.1 to 233.201.255.254233.201.255.255131,070
230233.202.0.0/15233.202.0.1 to 233.203.255.254233.203.255.255131,070
231233.204.0.0/15233.204.0.1 to 233.205.255.254233.205.255.255131,070
232233.206.0.0/15233.206.0.1 to 233.207.255.254233.207.255.255131,070
233233.208.0.0/15233.208.0.1 to 233.209.255.254233.209.255.255131,070
234233.210.0.0/15233.210.0.1 to 233.211.255.254233.211.255.255131,070
235233.212.0.0/15233.212.0.1 to 233.213.255.254233.213.255.255131,070
236233.214.0.0/15233.214.0.1 to 233.215.255.254233.215.255.255131,070
237233.216.0.0/15233.216.0.1 to 233.217.255.254233.217.255.255131,070
238233.218.0.0/15233.218.0.1 to 233.219.255.254233.219.255.255131,070
239233.220.0.0/15233.220.0.1 to 233.221.255.254233.221.255.255131,070
240233.222.0.0/15233.222.0.1 to 233.223.255.254233.223.255.255131,070
241233.224.0.0/15233.224.0.1 to 233.225.255.254233.225.255.255131,070
242233.226.0.0/15233.226.0.1 to 233.227.255.254233.227.255.255131,070
243233.228.0.0/15233.228.0.1 to 233.229.255.254233.229.255.255131,070
244233.230.0.0/15233.230.0.1 to 233.231.255.254233.231.255.255131,070
245233.232.0.0/15233.232.0.1 to 233.233.255.254233.233.255.255131,070
246233.234.0.0/15233.234.0.1 to 233.235.255.254233.235.255.255131,070
247233.236.0.0/15233.236.0.1 to 233.237.255.254233.237.255.255131,070
248233.238.0.0/15233.238.0.1 to 233.239.255.254233.239.255.255131,070
249233.240.0.0/15233.240.0.1 to 233.241.255.254233.241.255.255131,070
250233.242.0.0/15233.242.0.1 to 233.243.255.254233.243.255.255131,070
251233.244.0.0/15233.244.0.1 to 233.245.255.254233.245.255.255131,070
252233.246.0.0/15233.246.0.1 to 233.247.255.254233.247.255.255131,070
253233.248.0.0/15233.248.0.1 to 233.249.255.254233.249.255.255131,070
254233.250.0.0/15233.250.0.1 to 233.251.255.254233.251.255.255131,070
255233.252.0.0/15233.252.0.1 to 233.253.255.254233.253.255.255131,070
256233.254.0.0/15233.254.0.1 to 233.255.255.254233.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses